/* 
    -- color ( 60, 30, 10 ) ---
    1. primary-color
    2. secondary-color
    3. accent-color
*/
:root{
    --primary-color: lightblue;
    --secondary-color: red;
    --accent-color: gold;
    --font-heading: 2.5rem;
    --font-sub-heading: 2rem;
    --font-description: 1.5rem;
    --color-description: rgb(207, 175, 175);
}
body{
    background-color: var(--primary-color);
}

.grid-container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 200px);
    color: white;
    font-size: 30px;
    text-align: center;
    gap: 10px;
}
.a{
    background-color: rebeccapurple;
    grid-column: 1;
    grid-row: 1 / span 2;
}
.b{
    background-color: gold;
    grid-row: 1;
}
.c{
    background-color: palevioletred;
}
.d{
    background-color: seagreen;
    grid-column: 3;
    grid-row: 1 / span 2;
}
.e{
    background-color: aqua;
    grid-column: 1 / -1;
}

/* responsive design or media queries */
/* apply style based on condition */
@media (max-width: 640px) {
    .a{
        background-color: red;
    }
    .b{
        background-color: black;
    }
}
@media (min-width: 641px) {
    .a{
        background-color: gold;
    }
}
@media (min-width: 1024px) {
    .a{
        background-color: plum;
    }
}
